<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Slots</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>

    <div id="app">
        <div class="parent">
            <card>
                <h2 slot="header">Vue.js is awesome</h2>

                <p>The Progressive JavaScript Framework</p>
                <p>Another paragraph</p>

                <p slot="footer">Created by Evan You</p>
            </card>
        </div>
    </div>

    <template id="card-component-template">
        <div class="card">
            <header class="card-header">
                <slot name="header"></slot>
            </header>

            <div class="card-content">
                <slot></slot>
            </div>

            <footer class="card-footer">
                <slot name="footer"></slot>
            </footer>
        </div>
    </template>

    <script>
        Vue.component('card', {
            template: '#card-component-template'
        })

        new Vue({
            el: '#app'
        })
    </script>


    <!-- Slots Content -->
    <navigation-link url="/profile">
        <a v-bind:href="url" class="nav-link">
            <slot>Content INPUT</slot>
        </a>
    </navigation-link>

    <!-- NAME SLOTS -->
    <div class="container">
        <header>
            <slot name="header"></slot>
        </header>
        <main>
            <slot></slot>
        </main>
        <footer>
            <slot name="footer"></slot>
        </footer>
    </div>
    <!-- Scoped Slots -->
    <span>
        <slot>{{ user.lastName }}</slot>
    </span>
    <current-user>
        {{ user.firstName }}
    </current-user>
</body>

</html>